      program inv_plt
c plot the results of analysis
      parameter(nfr0=1000,nd0=100)
      real fr(nfr0),vel(nfr0),cal(nfr0),std(nfr0),rmd_3(nfr0),
     *     thk(nd0),sth(nd0),dep(nd0,3),pro(nd0,3),sta(nd0,3)
      character com1*70,cdrv*9,cwkf*50,filen*80,cform*80
c     filen='inv.plt'
c     open(21,file=filen,status='unknown')
c
      cdrv='./maswkf/'
      cwkf=cdrv//'prm/'
c Graph title
      filen=cwkf(1:13)//'graph_title.txt'
c     write(6,'(a70)')filen
      open(10,file=filen,status='old')
      read(10,'(a70)')com1
      close(10)
c data
      filen=cwkf(1:13)//'disp_sma1_2.prm'
c     write(6,'(a70)')filen
      open(1,file=filen,status='old')
      do ii=1,7
       read(1,*)
      enddo
      read(1,*)cform
      close(1)
      filen=cdrv//'data/dispersion/disp_cal.dat'
c     write(6,'(a70)')filen
      open(1,file=filen,status='old')
      read(1,*)
      do ifr=1,10000
       read(1,*,end=10)fr(ifr),vel(ifr),cal(ifr)  ! ,std(ifr)
c      write(6,*)      fr(ifr),vel(ifr),cal(ifr)  ! ,std(ifr)
      enddo
  10  nfr=ifr-1
      close(1)
      if(vel(1).lt.10.) then   ! km/s==>m/s
       do ifr=1,nfr
        vel(ifr)=vel(ifr)*1000.
        cal(ifr)=cal(ifr)*1000.
c       std(ifr)=std(ifr)*1000.
       enddo
      endif
c
      filen=cdrv//'prm/masw2cmp.prm'
c     write(6,'(a70)')filen
      open(10,file=filen,status='old')
      read(10,*) fmin,fmax
      nmod=0
      close(10)       
c
       if(fmin.lt.1.0) then
        fmin=0.1
       else 
        fmin=0.8
       endif
       if(fmax.gt.10) then
        fmax=20.0
       else
        fmax=10.0
       endif
      vmin=0.0
      vmax=0.0
      do ifr=1,nfr
       if(vmin.gt.vel(ifr))vmin=vel(ifr)
       if(vmax.lt.vel(ifr))vmax=vel(ifr)
      enddo
      vmin=vmin*0.9
      vmax=vmax*1.1
c observed dispersion curve ==> temp1
      filen=cdrv//'temp/temp1.dat'
c     write(6,'(a70)')filen
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)fr(ifr),vel(ifr) ! ,std(ifr)
      enddo
      close(1)
c calculated dispersion curve ==> temp2
      filen=cdrv//'temp/temp2.dat'
c     write(6,'(a70)')filen
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)fr(ifr),cal(ifr)  ! ,1.0
      enddo
      close(1)
c plot disp_cal
      cwkf=cdrv//'prm/gnuplt_script/'
      filen=cwkf(1:27)//'dispersion/disp_cal.plt'
c     write(6,'(a70)')filen
c     write(21,*)'load '''//filen(1:50)//''''
c     write(21,*)'pause -1 "Hit return to continue"'
c
      open(12,file=filen,status='unknown')
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:70)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'temp/temp1.dat'
c     write(6,'(a70)')filen
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a23,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:23),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'temp/temp2.dat'
c     write(6,'(a70)')filen
      write(cform,'(a19)')'(a6,a23,a2,a28,a19)'
      write(12,cform)'     "',filen(1:23),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     *'set output "./maswkf/data/dispersion/fig/disp_cal.ps"'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'temp/temp1.dat'
c     write(6,'(a70)')filen
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a23,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:23),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'temp/temp2.dat'
c     write(6,'(a70)')filen
      write(cform,'(a19)')'(a6,a23,a2,a28,a19)'
      write(12,cform)'     "',filen(1:23),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c plot vel_cal_err.dat
      filen=cdrv//'data/structure/vel_cal.dat'
c     write(6,'(a70)')filen
      open(1,file=filen,status='old')
      read(1,'(a70)')filen
      do id=1,100
       read(1,*,end=100)ndum,thk(id),(pro(id,j),j=1,3) ! thickness & properties
      enddo
 100  nd=id-1
      close(1)
c km/s==>m/s etc
      do id=1,nd
       thk(id)=thk(id)*1000.
       sth(id)=sth(id)*1000.
       do j=1,3
        pro(id,j)=pro(id,j)*1000.
        sta(id,j)=sta(id,j)*1000.
       enddo
      enddo
c average depth: j=1
      dep(1,1)=thk(1)
      do id=2,nd-1
       dep(id,1)=dep(id-1,1)+thk(id)
      enddo
      dep(nd,1)=dep(nd-1,1)*1.25
c Vs
      filen=cdrv//'temp/temp3.dat'
c     write(6,'(a70)')filen
      open(1,file=filen,status='unknown')
      write(1,'(3a9,f9.2)')'     0.00','     0.00','     0.00',pro(1,3) ! 0th
      do id=1,nd-1
       if(pro(id+1,3).le.pro(id,3)) then
        write(1,'(4f9.2)')dep(id,1),dep(id,2),dep(id,3),pro(id,3) ! id<id-1
        write(1,'(4f9.2)')dep(id,1),dep(id,2),dep(id,3),pro(id+1,3)
       else
        write(1,'(6f9.2)')dep(id,1),dep(id,3),dep(id,2),pro(id,3) ! id>id-1
        write(1,'(6f9.2)')dep(id,1),dep(id,3),dep(id,2),pro(id+1,3)
       endif
      enddo
      if(pro(nd,3).le.pro(nd-1,3)) then
       write(1,'(6f9.2)')dep(nd,1),dep(nd,2),dep(nd,3),pro(nd,3) ! nd-th
      else
       write(1,'(6f9.2)')dep(nd,1),dep(nd,3),dep(nd,3),pro(nd,3) ! nd-th
      endif
      close(1)
      vmax=pro(nd,3)+sta(nd,3)
      vmax=nint(vmax/100.+1)*100.
      dmax=dep(nd,1)
c
      filen=cdrv//'temp/temp4.dat'
c     write(6,'(a70)')filen
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)vel(ifr),vel(ifr)/fr(ifr)/3.
      enddo
      close(1)
      dmax=max(dmax,vel(1)/fr(1)/3.)
c
      filen=cwkf(1:27)//'structure/vs_structure.plt'
c     write(6,'(a70)')filen
c     write(21,*)'load '''//filen(1:53)//''''
c      write(21,*)'pause -1 "Hit return to continue"'
      open(12,file=filen,status='unknown')
      do n_mod=1,0,-1
       write(12,*)'pause -1 "Hit return to continue."'
       write(12,*)'reset'
       write(12,*)'set key title'
       write(12,*)'# Graph title'
       write(12,*)'set title "'//com1(1:70)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Vs (m/s)"'
       write(12,*)'set xrange [',0.0,':',vmax,']'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "depth (m)"'
       write(12,*)'set yrange [',dmax,':',0.0,'] '
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       filen=cdrv//'temp/temp3.dat'  !34
c      write(6,'(a70)')filen
       write(cform,'(a20)')'(a6,a23,a13,a34,a24)'
       if(n_mod.ge.1) then
        write(12,cform)'plot "',filen(1:23),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Vs-Structure", \'
        filen=cdrv//'temp/temp4.dat'  !34
c       write(6,'(a70)')filen
        write(cform,'(a20)')'(a6,a23,a13,a36,a29)'
        write(12,cform)'     "',filen(1:23),'" using 1:2  ',
     *            'with points pt 6 ps 2 lc rgb "green"',
     *               ' title "Vr(obs)/frequency/3."'
       else
        write(12,cform)'plot "',filen(1:23),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Vs-Structure"   '
       endif
       write(12,*)'unset multiplot'
       write(12,*)'unset key'
      enddo
c
      n_mod=1
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)'set output "./maswkf/data/structure/fig'//
     *                        '/vs_structure1.ps"'
      write(12,*)'reset'
      write(12,*)'set key title'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:70)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Vs (m/s)"'
      write(12,*)'set xrange [',0.0,':',vmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "depth (m)"'
      write(12,*)'set yrange [',dmax,':',0.0,'] '
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'temp/temp3.dat'  !34
c     write(6,'(a70)')filen
      write(cform,'(a20)')'(a6,a23,a13,a34,a19)'
      if(n_mod.ge.1) then
      write(12,cform)'plot "',filen(1:23),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      filen=cdrv//'temp/temp4.dat'  !34
c     write(6,'(a70)')filen
      write(cform,'(a20)')'(a6,a23,a13,a36,a29)'
      write(12,cform)'     "',filen(1:23),'" using 1:2  ',
     *            'with points pt 6 ps 2 lc rgb "green"',
     *               ' title "Vs(obs)/frequency/3."'
      else
      write(12,cform)'plot "',filen(1:23),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average"   '
      endif
      write(12,*)'unset multiplot'
      write(12,*)'unset key'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
c
      n_mod=0
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)'set output "./maswkf/data/structure/fig'//
     *                        '/vs_structure0.ps"'
      write(12,*)'reset'
      write(12,*)'set key title'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:70)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Vs (m/s)"'
      write(12,*)'set xrange [',0.0,':',vmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "depth (m)"'
      write(12,*)'set yrange [',dmax,':',0.0,'] '
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'temp/temp3.dat'  !34
c     write(6,'(a70)')filen
      write(cform,'(a20)')'(a6,a23,a13,a34,a19)'
      if(n_mod.ge.1) then
      write(12,cform)'plot "',filen(1:23),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      filen=cdrv//'temp/temp4.dat'  !34
c     write(6,'(a70)')filen
      write(cform,'(a20)')'(a6,a23,a13,a36,a29)'
      write(12,cform)'     "',filen(1:23),'" using 1:2  ',
     *            'with points pt 6 ps 2 lc rgb "green"',
     *               ' title "Vs(obs)/frequency/3."'
      else
      write(12,cform)'plot "',filen(1:23),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average"   '
      endif
      write(12,*)'unset multiplot'
      write(12,*)'unset key'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c
      stop
      end
c
