      program mk_geometry
      parameter(nch=24,nsht0=999)
      real x_shot(nsht0),x_sta(nch,nsht0)
      character filen*80,com1*80,cfile(nsht0)*12,cname0*6,
     *          cst*2,cit*2,ced*2
c input parameter file
      filen='./maswkf/prm/mk_geometry.prm'
      open(11,file=filen,status='old')
      read(11,*)nshot,cname0,cst,cit,ced
      write(6,'(3(a12,1x))')cname0//cst//'.dat',
     *                   cname0//cit//'.dat',cname0//ced//'.dat'
      read(11,*)x_shot0,d_shot,x_sta0,dx
      write(6,*)x_shot0,d_shot,x_sta0,dx
      close(11)
c input graph title
      open(11,file='./maswkf/prm/graph_title.txt',status='old')
      read(11,'(a80)')com1
c
      read(cst,'(2i1)')n1,n0
      nst=n1*10+n0
      read(cit,'(2i1)')n1,n0
      nit=n1*10+n0
      read(ced,'(2i1)')n1,n0
      ned=n1*10+n0
      do isht=1,nsht0
       n_isht=nst+isht-1
       if(n_isht.ge.nst.and.n_isht.le.ned) then
        if(n_isht.ge.10) then
         write(cfile(isht),'(a6,i2,a4)')cname0,n_isht,'.dat'
c        write(6,'(a6,i2,a4)')cname0,n_isht,'.dat'
        else
         write(cfile(isht),'(a6,a1,i1,a4)')cname0,'0',n_isht,'.dat'
c        write(6,'(a6,a1,i1,a4)')cname0,'0',n_isht,'.dat'
        endif
       else
       niht=nit-nst+1
       nsht=ned-nst+1
       endif
      enddo
c
      do isht=1,nsht0
       x_shot(isht) =real(isht-1)*d_shot+x_shot0
      enddo
      do isht=1,niht
       x_sta(1,isht)=real(isht-1)*d_shot+x_sta0
      enddo
      do isht=niht+1,nsht
       x_sta(1,isht)=x_sta(1,niht)
      enddo
c output
      filen='./maswkf/prm/geometry.prm'
      open(11,file=filen,status='old')
      write(11,'(a70)')com1
      write( 6,'(a70)')com1
      write(11,'(i3,f5.1)')nsht,dx   !:Number of shots,dx(geophone interval) 
      write( 6,'(i3,f5.1)')nsht,dx
      dd=dx/4.
      dd=1.
c shot and geophone locations
      do i=1,nsht
      write(11,'(a12,2(1x,f5.1))')cfile(i),x_shot(i),x_sta(1,i)
      write( 6,'(a12,2(1x,f5.1))')cfile(i),x_shot(i),x_sta(1,i)
      enddo
      close(11)
      stop
      end
